module BinToBCD #(
DIGITS=2,
WIDTH =7
)(
input [WIDTH - 1:0] bin_i,
output reg [DIGITS - 1:0][3:0] bcd_o
);
wire [WIDTH - 1:0] tmp;
always @(*) begin
integer i;
tmp = bin_i;
for (i = 0; i < DIGITS; i++)
begin
bcd_o[i] = tmp%10;
tmp = tmp/10;
end
end
endmodule